Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: imake libXt-devel xorg-cf-files
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ssh-contact
Version:        0.7
Release:        alt2_20
Summary:        Establish SSH connections to your IM contacts using Telepathy

License:        GPLv2+
URL:            http://telepathy.freedesktop.org/wiki/SSH-Contact
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  libtelepathy-glib-devel libtelepathy-glib-gir-devel
BuildRequires:  glib2-devel libgio libgio-devel
BuildRequires:  intltool
## BR for vinagre plugin. Enable once it becomes stable.
#BuildRequires:  vinagre-devel
#BuildRequires:  vte-devel

Requires:       openssh-server
Requires:       openssh-clients
Source44: import.info


%description
%{name} is a client/service tool that makes it easy to connect to
your telepathy IM contacts via SSH. No need to care about dynamic
IP, NAT, port forwarding, or firewalls anymore; if you can chat with
a friend, you can also SSH to their machine. 


#%package vinagre
#Summary:	Vinagre plugin for %{name}
#Group:		Applications/Internet
#Requires:	%{name} = %{version}-%{release}


#%description vinagre
#Vinagre plugin for %{name}.


%prep
%setup -q


%build
%configure --enable-static=no --enable-vinagre=no
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc COPYING NEWS AUTHORS
%{_bindir}/%{name}
%{_libexecdir}/%{name}-service
%{_datadir}/telepathy/clients/SSHContact.client
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.SSHContact.service


#%files vinagre
#%defattr(-,root,root,-)
#%{_libdir}/vinagre-1/plugins

%changelog
* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.7-alt2_20
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.7-alt2_19
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.7-alt2_18
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.7-alt2_17
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_17
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_16
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_15
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_14
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_13
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_12
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_11
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_9
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_8
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_7
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_6
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_5
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_4
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_3
- initial fc import

